URL structure
{orgId} is the ID of an organization.
Supported methods and overview
POST- used to transfer the ownership of all file objects and folders from one Covata user to another Covata user.
Detailed description
This API endpoint transfers the ownership of all files/Secure Objects and folders/collections (in which these files are contained) from one Covata user to another Covata user, within the organization specified by the{orgId} of the request’s URL.
- When using Organization Administration to transfer item ownership from one Covata user to another, this process must be done as part of removing a user account from an organization.
- However, when using the Covata API, transferring item ownership from a Covata user can be accomplished without having to remove this user from the organization.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Organization administrator - if this user is a member of the organization specified by the
{orgId}of the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required parameters
The following required parameters must be sent in the body of the POST request, as individual members of a JSON object:- from - The ID of a Covata user (with the Originator role), whose items will be transferred to another Covata user.
- to - The ID of another Covata user (with the Originator role) to whom these items will be transferred. Example ():
Optional parameters
The following optional parameter can also be sent in the body of the POST request, as an individual member of the JSON object that includes the Required parameters above:- folderName - .
-
deleteUser - A boolean value that indicates whether (
true) or not (false) the Covata user specified in thefromfield above, whose items are being transfered to another user, will be removed from the organization. Example ():
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
